| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libdar::fsa_infinint Class Reference
Private

fsa based on integer More...

`#include <filesystem_specific_attribute.hpp>`

Inherits libdar::filesystem_specific_attribute.

## Public Member Functions
| fsa_infinint (fsa_family f, fsa_nature n, infinint xval)
| fsa_infinint (generic_file &f, fsa_family fam, fsa_nature nat)
| fsa_infinint (const fsa_infinint &ref)=default
fsa_infinint & | operator= (const fsa_infinint &ref)=default
const infinint & | get_value () const
virtual std::string | show_val () const
| inherited from filesystem_specific_attribute
virtual void | write (generic_file &f) const
| write down to libdar archive
virtual infinint | storage_size () const
| give the storage size for the FSA
virtual filesystem_specific_attribute * | clone () const
| provides a way to copy objects without having to know the more specific class of the object
Public Member Functions inherited from libdar::filesystem_specific_attribute
| filesystem_specific_attribute (fsa_family f)
| constructor used to before reading the FSA from filesystem
| filesystem_specific_attribute (generic_file &f, fsa_family xfam, fsa_nature xnat)
| constructor used to read a FSA from a libdar archive
| filesystem_specific_attribute (const filesystem_specific_attribute &ref)=default
| filesystem_specific_attribute (filesystem_specific_attribute &&ref) noexcept=default
filesystem_specific_attribute & | operator= (const filesystem_specific_attribute &ref)=default
filesystem_specific_attribute & | operator= (filesystem_specific_attribute &&ref) noexcept=default
virtual | ~filesystem_specific_attribute () noexcept(false)
| virtual destructor for inherited classes
bool | is_same_type_as (const filesystem_specific_attribute &ref) const
| provide a mean to compare objects types
virtual bool | operator== (const filesystem_specific_attribute &ref) const
| provides a mean to compare objects values
bool | operator!= (const filesystem_specific_attribute &ref) const
bool | operator< (const filesystem_specific_attribute &ref) const
| used to provided a sorted list of FSA
bool | operator>= (const filesystem_specific_attribute &ref) const
bool | operator> (const filesystem_specific_attribute &ref) const
bool | operator<= (const filesystem_specific_attribute &ref) const
fsa_family | get_family () const
| obtain the family of the FSA
fsa_nature | get_nature () const
| obtain the nature of the FSA

## Protected Member Functions
virtual bool | equal_value_to (const filesystem_specific_attribute &ref) const
| should return true if the value of the argument is equal to the one of 'this' false in any other case (even for object of another inherited class)
Protected Member Functions inherited from libdar::filesystem_specific_attribute
void | set_family (const fsa_family &val)
void | set_nature (const fsa_nature &val)

## Private Attributes
infinint | val

## Detailed Description

fsa based on integer

Definition at line 289 of file filesystem_specific_attribute.hpp.

## Constructor & Destructor Documentation

## ◆ fsa_infinint()

libdar::fsa_infinint::fsa_infinint | ( | fsa_family | f,
|  | fsa_nature | n,
|  | infinint | xval )
| inline

Definition at line 292 of file filesystem_specific_attribute.hpp.

## Member Function Documentation

## ◆ clone()

virtual filesystem_specific_attribute * libdar::fsa_infinint::clone | ( |  | ) | const
| inline virtual

provides a way to copy objects without having to know the more specific class of the object

Implements libdar::filesystem_specific_attribute.

Definition at line 304 of file filesystem_specific_attribute.hpp.

References libdar::filesystem_specific_attribute::filesystem_specific_attribute().

## ◆ equal_value_to()

virtual bool libdar::fsa_infinint::equal_value_to | ( | const filesystem_specific_attribute & | ref | ) | const
| protected virtual

should return true if the value of the argument is equal to the one of 'this' false in any other case (even for object of another inherited class)

Implements libdar::filesystem_specific_attribute.

References libdar::filesystem_specific_attribute::filesystem_specific_attribute().

## ◆ get_value()

const infinint & libdar::fsa_infinint::get_value | ( |  | ) | const
| inline

Definition at line 298 of file filesystem_specific_attribute.hpp.

## ◆ show_val()

virtual std::string libdar::fsa_infinint::show_val | ( |  | ) | const
| virtual

inherited from filesystem_specific_attribute

Implements libdar::filesystem_specific_attribute.

## ◆ storage_size()

virtual infinint libdar::fsa_infinint::storage_size | ( |  | ) | const
| inline virtual

give the storage size for the FSA

Implements libdar::filesystem_specific_attribute.

Definition at line 303 of file filesystem_specific_attribute.hpp.

References libdar::infinint::get_storage_size().

## ◆ write()

virtual void libdar::fsa_infinint::write | ( | generic_file & | f | ) | const
| inline virtual

write down to libdar archive

Implements libdar::filesystem_specific_attribute.

Definition at line 302 of file filesystem_specific_attribute.hpp.

## Member Data Documentation

## ◆ val

infinint libdar::fsa_infinint::val
| private

Definition at line 310 of file filesystem_specific_attribute.hpp.

The documentation for this class was generated from the following file:

- filesystem_specific_attribute.hpp